org.jbpm.services.task.identity

## Class JBossUserGroupCallbackImpl

- java.lang.Object
- - org.jbpm.services.task.identity.AbstractUserGroupInfo
  - - org.jbpm.services.task.identity.JBossUserGroupCallbackImpl

- All Implemented Interfaces:
    org.kie.api.task.UserGroupCallback

      public class JBossUserGroupCallbackImpl
      extends AbstractUserGroupInfo
      implements org.kie.internal.task.api.UserGroupCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossUserGroupCallbackImpl(boolean activate)`
    `JBossUserGroupCallbackImpl(Properties userGroups)`
    `JBossUserGroupCallbackImpl(String location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `existsGroup(String groupId)`
    `boolean` | `existsUser(String userId)`
    `List<String>` | `getGroupsForUser(String userId, List<String> groupIds, List<String> allExistingGroupIds)`
    `protected void` | `init(Properties userGroups)`

    - ### Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupInfo

      `readProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossUserGroupCallbackImpl

          public JBossUserGroupCallbackImpl(boolean activate)

    - #### JBossUserGroupCallbackImpl

          public JBossUserGroupCallbackImpl(String location)

    - #### JBossUserGroupCallbackImpl

          public JBossUserGroupCallbackImpl(Properties userGroups)

  - ### Method Detail

    - #### init

          protected void init(Properties userGroups)

    - #### existsUser

          public boolean existsUser(String userId)

      Specified by:
        `existsUser` in interface `org.kie.api.task.UserGroupCallback`

    - #### existsGroup

          public boolean existsGroup(String groupId)

      Specified by:
        `existsGroup` in interface `org.kie.api.task.UserGroupCallback`

    - #### getGroupsForUser

          public List<String> getGroupsForUser(String userId,
                                               List<String> groupIds,
                                               List<String> allExistingGroupIds)

      Specified by:
        `getGroupsForUser` in interface `org.kie.api.task.UserGroupCallback`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.